Monday, 29 January 2007

avant-window-navigator fc6 rpms available

Added FC6 rpms, including the updated libwnck, to make all you Fedora users lifes a bit easier!!
I have included the debuginfo rpms, which I suggest you install as well so if there is a problem, you get useful output!

*Update* New rpms available here. They should fix the gconf problem, please let me know if they work, either by leaving a quick comment here, or emailing me : njpatel_AT_gmail_DOT_com.

12 comments:

Anonymous said...

Hey there, I tried the fc6 rpms on my FedoraCore6 fully updated machine and I get this:


[ghaefb@mycomp ~]$
[ghaefb@mycomp ~]$ avant-window-navigator
Segmentation fault
[ghaefb@mycomp ~]$ avant-preferences
/usr/share/avant-window-navigator/window.glade
Traceback (most recent call last):
File "/usr/bin/avant-preferences", line 250, in ?
app = main()
File "/usr/bin/avant-preferences", line 143, in __init__
self.setup_chooser(APP_ACTIVE_PNG, self.wTree.get_widget("activefilechooser"))
File "/usr/bin/avant-preferences", line 221, in setup_chooser
chooser.set_filename(self.client.get_string(key))
TypeError: GtkFileChooser.set_filename() argument 1 must be string, not None
[ghaefb@mycomp ~]$

Anonymous said...

I think that gconf keys are not set correctly, well they are not set at all. I tried compiling the source from tarball and latest svn and I get the same result.
You should look into that.

Neil J. Patel said...

Hi there,

Thanks for the feedback. Regarding avant-window-navigator, can you please install the *debuginfo rpms, and try again (so it spits out some info when it segfaults).

And regarding avant-preferences, can you please see if

gconftool2 --install-schema-file=/usr/etc/gconf/schemas/avant-window-navigator.schemas

works (as there was a problem in the makefile (i am fixing this now). This may fix the avant-widow-navigator error as well.

I hope that helps.

Neil J. Patel said...

woops, that should read (all on one line):

gconftool2 --install-schema-file=/etc/gconf/
schemas/avant-window-navigator.schemas

Anonymous said...

Yup, that did the trick. All I had to do is run this command.

gconftool-2 --install-schema-file=/etc/gconf/schemas/avant-window-navigator.schemas

Neil J. Patel said...

Glad to hear it! I've fixed this in the rpms, and I have uploaded the new ones, so there shouldn't be any more problems.

Thanks again.

Anonymous said...

is there any .deb packages or how to install avant in ubuntu and dependencies list?

Thanks

Banshee said...

It would be nice to also have .deb packages, it's very easy, just checkinstall

Neil J. Patel said...

Hi there,

There are no ubuntu debs that I know of, however I am going to install ubuntu and create my own for the next release.

Regarding compilation, if you install from svn, then you only need:

libwnck >= 2.16 (it may work on earlier releases, however I have not tried it).

gconf & gtk.

I you have gnome installed, and have compiled program before on it, you probably only need to install the 'libwnck-devel' package before you install Awn.

Jared Smith said...

Can you please post your SRPM? Not all of us are running on i386 machine, you know...

Thanks!

Neil J. Patel said...

Hi Jared,

SRPMS for Awn and libwnck are now available from the download page.

Anonymous said...

Neil, you may want to change your comment from gconftool2 to gconftool-2 if you have the time. The post right below yours references the correct command, but as a linux noobie it threw me off for about a half hour.